package com.huimv.management.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.huimv.management.entity.WaterTargetEntity;
import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.Query;

import com.huimv.management.dao.WaterTargetDao;
import com.huimv.management.entity.WaterTargetEntity;
import com.huimv.management.service.WaterTargetService;


@Service("waterTargetService")
public class WaterTargetServiceImpl extends ServiceImpl<WaterTargetDao, WaterTargetEntity> implements WaterTargetService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {

        LambdaQueryWrapper<WaterTargetEntity> lambdaQuery = Wrappers.lambdaQuery();
        String keywords = (String) params.get("keywords");
        //没有参数
        if (keywords == null || keywords.equals("")){
            IPage<WaterTargetEntity> page = this.page(
                    new Query<WaterTargetEntity>().getPage(params),
                    new QueryWrapper<WaterTargetEntity>()
            );
            return new PageUtils(page);
        }

        lambdaQuery.like(WaterTargetEntity::getId,keywords);
        IPage<WaterTargetEntity> page = page(this.page(
                new Query<WaterTargetEntity>().getPage(params)
        ), lambdaQuery);


        return new PageUtils(page);
    }
}